GET Services

Fetch services of server one with updated pricing including special discounted pricing if you got any. Include your API key as a Bearer token.

GEThttps://otpverified.com/api/v1/users/rental-services
Authorization: Bearer YOUR_API_KEY
{
"statusCode": 200,
"data": [
        {
            "serviceId": "1fe58df2",
            "serviceName": "Google",
        },
        ....
        ],
"message": "Services retrieved successfully",
"success":  true
}

GET Messages

Retrieve messages and detailed information for a specific number. Include your API key as a Bearer token.

GEThttps://otpverified.com/api/v1/users/rental-messages?orderId=52608714
Authorization: Bearer YOUR_API_KEY
{
"statusCode": 200,
"data": {
       "messages": 
          [
              {
                "id": "b903e75c",
                "orderId": "765268",
                "timestamp": "2025-07-11 13:50:49 EDT",
                "service": "GMail",
                "sender": "22000",
                "number": "16097641010",
                "message": "G-276964 is your Google verification code.",
                "pin": "G-276964"
              },
              ...
         ]  
       },
"message": "Rental Messages retrieved successfully",
"success":  true
}

Request Params Properties

PropertyTypeRequiredDescription
OrderIdStringYesOrder ID as returned in the request-rental or renew-rental API response

Request Number

Request a number by providing the `serviceId` in your API call.

POSThttps://otpverified.com/api/v1/users/request-rental
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
Request Body:
{ "serviceId": "6b816098", "areas": "503", "duration": "threeDay" }

Request Body Properties

PropertyTypeRequiredDescription
serviceIdStringYesService Id (as returned by rental-pricing api or seen on Pricing page)
areasStringNoYou can specify area codes in the “areas” query string parameter. For example, areas=212 will only rent numbers with area codes 212.
Note: Preferred area codes Increases price by +2.5$.
durationStringYesRental duration, in days. Can equal to 1, 3, 7, 14, 30, 90 days. Please note that not all Numbers may support (1, 3, 7, 14) Day rentals.
Accepted Value: oneDay┃threeDay┃sevenDay┃fourteenDay┃thirtyDay┃ninetyDay
{
   "statusCode": 201,
    "data": {
        "orderId": "52608714",
        "number": "19128648532",
        "serviceName": "Google",
        "areas": "503",
        "duration": 3, 
        "purchased": "2025-04-26 12:43:00", // Timezone: Etc/UTC (UTC+00:00),
        "expires": "2025-04-29 12:43:00",
        "price": "3.46",
        "status": "reserved",
    },
    "message": "Order Confirmed!",
    "success": true
}

Release Number

Release a number by providing the `orderId` in your API call.

POSThttps://otpverified.com/api/v1/users/release-rental
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
Request Body:
{ "orderId": "52608714", }

Request Body Properties

PropertyTypeRequiredDescription
OrderIdStringYesOrder ID as returned in the request-rental or renew-rental API response
{
   "statusCode": 200,
   "message": "Number successfully released",
   "success": true
}
OTPVerified API - Fast & Secure OTP Integration